***Sintax ENADID 1997, BASE DE DATOS VIVIENDA Y HOGARES***
*** Base de datos: ENADID97_viv-hog.sav***

*** ETIQUETAR Y CODIFICAR VARIABLES DE LA BASE VIVIENDA Y HOGARES***

***1.***

Variable Labels ent 'ent Entidad'.
Value Labels ent
01	'Aguascalientes'
02	'Baja California'
03	'Baja California Sur'
04	'Campeche'
05	'Coahuila'
06	'Colima'
07	'Chiapas'
08	'Chihuahua'
09	'Distrito Federal'
10	'Durango'
11	'Guanajuato'
12	'Guerrero'
13	'Hidalgo'
14	'Jalisco'
15	'Mxico'
16	'Michoacn'
17	'Morelos'
18	'Nayarit'
19	'Nuevo Len'
20	'Oaxaca'
21	'Puebla'
22	'Quertaro'
23	'Quintana Roo'
24	'San Luis Potos'
25	'Sinaloa'
26	'Sonora'
27	'Tabasco'
28	'Tamaulipas'
29	'Tlaxcala'
30	'Veracruz'
31	'Yucatn'
32	'Zacatecas'
33	'frica'
34	'Amrica'
35	'Estados Unidos de Amrica'
36	'Asia'
37	'Europa'
38	'Oceana'
70	'Estados Unidos Mexicanos'
99	'No especificado'.
Execute .

***2.***

Variable Labels mun 'mun Municipio'.
Execute .

***3.***

Variable Labels zona 'zona Zona'.
Value Labels zona
01	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
02	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
03	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
04	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
05	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
06	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
07	'reas metropolitanas, localidades de 100 000 o ms habitantes y capitales de estado'
20	'Localidades de 90 000 a 99 999 habitantes'
30	'Localidades de 50 000 a 89 999 habitantes'
40	'Localidades de 15 000 a 49 999 habitantes'
50	'Localidades de 2 500 a 14 999 habitantes'
60	'Menores de 2 500 habitantes'.
Execute .

***4.***

Variable Labels estrato 'estrato Estrato'.
Execute .

***5.***

Variable Labels tam_loc 'tam_loc Tamao de localidad'.
Value Labels tam_loc
1  'Menor a 2 500 habitantes'
2  '2 500 a 14 999 habitantes'
3  '15 000 a 19 999 habitantes'
4  '20 000 a 99 999 habitantes'
5  '100 000 y ms habitantes'.
Execute .

***6.***

Variable Labels upm 'upm Nmero de control'.
Execute .

***7.***

Variable Labels f_viv 'f_viv Folio de vivienda'.
Execute .

***8.***

Variable Labels hogar 'hogar Nmero de hogar en la vivienda'.
Execute .

***9.***

Variable Labels fac_viv 'fac_viv Factor de expansin (vivienda)'.
Execute .

***10.***

Variable Labels fent_mes 'fent_mes Fecha de la entrevista_Mes'.
Value Labels fent_mes
9	'Septiembre'
10	'Octubre'
11	'Noviembre'
12	'Diciembre'.
Execute .

***11.***

Variable Labels p1_1 'p1_1 De qu material es la mayor parte del piso de esta vivienda?'.
Value Labels p1_1
1  'Tierra'
2  'Cemento o firme'
3  'Madera, mosaico u otros recubrimientos'
9  'No especificado'.
Execute .

***12.***

Variable Labels p1_2 'p1_2 Los ocupantes de esta vivienda disponen de agua entubada:'.
Value Labels p1_2
1  'Dentro de la vivienda'
2  'Fuera de la vivienda, pero dentro del terreno'
3  'De llave pblica'
4  'No disponen de agua entubada'
9  'No especificado'.
Execute .

***13***

Variable Labels p1_3 'p1_3 Los ocupantes de esta vivienda disponen de:'.
Value Labels p1_3
1  'Excusado o sanitario'
2  'Retrete o letrina'
3  'Fosa (sptica)'
4  'Hoyo negro o pozo ciego'
5  'No disponen de servicio sanitario'
9  'No especificado'.
Execute .

***14.***

Variable Labels p1_4 'p1_4 Sanitario exclusivo. El servicio es para uso particular de los ocupantes de esta vivienda?'.
Value Labels p1_4	1 'S'
			2 'No'
			9 'No especificado'.
Execute .

***15.***

Variable Labels p1_5 'p1_5 Tiene el (servicio) conexin de agua?'.
Value Labels p1_5	3 'S'
			4 'No'.
Execute .

***16.***

Variable Labels p1_7 'p1_7 En esta vivienda los desechos del (servicio) van a dar a:'.
Value Labels p1_7
1  'Red pblica'
2  'Fosa sptica'
3  'Tubera con descarga a barranca o grieta'
4  'Tubera con descarga a ro, lago (o mar)'
5  'Un hoyo negro o pozo ciego'
6  'No tiene desage'
9  'No especificado'.
Execute .

***17.***

Variable Labels p1_8 'p1_8 En esta vivienda las aguas sucias o jabonosas van a dar a:'.
Value Labels p1_8
1  'Red pblica'
2  'Fosa sptica'
3  'Tubera con descarga a barranca o grieta'
4  'Tubera con descarga a ro, lago (o mar)'
5  'Al suelo o patio'
9  'No especificado'.
Execute .

***18.***

Variable Labels p1_9 'p1_9 Hay luz elctrica en esta vivienda?'.
Value Labels p1_9	1 'S'
			2 'No'
			9 'No especificado'.
Execute .

***19.***

Variable Labels p2_2 'p2_2 Las personas que viven en esta vivienda, comparten un mismo gasto para la comida?'.
Value Labels p2_2	1 'S'
			2 'No'.
Execute .

***20.***

Variable Labels p2_3 'p2_3 Nmero de hogares'.
Execute .

***21.***

Variable Labels p3_3a 'p3_3a Nmero de personas que forman el hogar'.
Execute .

***22.***

Variable Labels tip_hog 'tip_hog Tipo de hogar'.
Value Labels tip_hog
1  'Familiares nucleares'
2  'Familiares ampliados'
3  'Familiares compuestos'
4  'No familiar unipersonal'
5  'No familiar corresidente'
6  'No especificado'.
Execute .

***23.***

Variable Labels p7_11a 'p7_11a Verificacin de migracin internacional. Durante los ltimos 5 aos alguna persona que vive o viva en este hogar se fue a vivir a otro pas?'.
Value Labels p7_11a	1 'S'
			2 'No'.
Execute .

***24.***

Variable Labels p7_11b 'p7_11b Total de migrantes internacionales por hogar'.
Execute .


***25.***

Variable Labels p8_1a 'p8_1a Verificacin de mortalidad. Durante los ltimos 5 aos muri alguien que viva con ustedes, en este hogar?'.
Value Labels p8_1a	1 'S'
			2 'No'.
Execute .

***26.***

Variable Labels p8_1b 'p8_1b Total de personas fallecidas'.
Execute .

***27.***

Variable Labels p8_4 'p8_4 Verificacin de defunciones. Durante los ltimos 5 aos muri alguna otra persona, nio pequeo o recin nacido que viva con ustedes, en este hogar?'.
Value Labels p8_4	1 'S'
			2 'No'
			9 'No especificado'.
Execute .

***28.***

Variable Labels p3_3c 'p3_3c Nmero de informante'.
Value Labels p3_3c	99  'No especificado'.
Execute .

***29.***

Variable Labels p6_8mh 'p6_8mh Ingreso por trabajo mensual por hogar'.
Value Labels p6_8mh	000000  'No recibe ingresos'
			980000  '$980 000 o ms'
			999999  'No especificado'.
Execute .

***30.***

Variable Labels p6_10mh 'p6_10mh Otros ingresos mensuales por hogar'.
Value Labels p6_10mh	000000  'No recibe ingresos'
			980000  '$980 000 o ms'
			999999  'No especificado'.
Execute .

***31.***

Variable Labels ingmenth 'ingmenth Ingreso mensual total por hogar'.
Value Labels ingmenth	000000  'No recibe ingresos'
			980000  '$980 000 o ms'
			999999  'No especificado'.
Execute .



***************************************
*** PEGAR BASES DE DATOS
***************************************

*** I M P O R T A N T E
*** Tener en cuenta que si se desea realizar el pegado de bases nuevamente es necesario modificar la ruta
*** en la que se encuentra ya sea la base de Datos Generales o la de Vivienda y Hogares

*** En la base de migracin hay una modificacin en una de las variabes que utilizan como llave
*** esto se debe a que la variable relativa al nmero de registro de la persona en esta base es p7_2a y en la de datos generales es p3_1  

*** Para realizar el pegado de las variables de las bases de Datos Generales y de Vivienda y Hogares
*** se cre una variable llave y las bases se ordenaron de acuerdo a esta llave y al nmero de registro de la persona en la base de datos generales.
*** Las bases de vivienda y hogares, y la de mortalidad solamente se ordenaron de acuerdo a la variable llave

*** LA BASE DE VIVIENDA Y HOGARES SOLAMENTE SE PREPAR PARA UTILIZAR PEGAR ALGUNAS DE SUS VARIABLES A OTRAS BASES DE DATOS

*** La sintaxis de los pasos seguidos es la siguiente:


** 1. ORDENAR las bases de datos en forma ascendente, con base en 4 variables

SORT CASES BY
  ent (A) mun (A) zona (A) estrato (A).


** 2. CREAR UNA VARIABLE LLAVE. Es de tipo cadena porque todas las variables involucradas son de ese tipo

STRING llave (A20).
COMPUTE llave = CONCAT(ent, mun,zona,estrato,upm,f_viv,hogar) .
Variable Labels llave 'llave Variable llave para pegar bases de datos'.
EXECUTE .


** 3. ORDENAR las bases de datos de forma ascendente de acuerdo a las variables llave y p3_1

SORT CASES BY
  llave (A) p3_1 (A) .

** 3. ORDENAR la base de VIVIENDA Y HOGARES
** de acuerdo con la variable llave

SORT CASES BY
  llave (A) .

